---
names:
  full: "AWS GuardDuty Detector Malware Protection for EC2 is not enabled"
  contextual: "Detector Malware Protection for EC2 is not enabled"
description: >
  Malware Protection for EC2 helps you detect the potential presence of malware 
  by scanning the Amazon EBS volumes that are attached to Amazon EC2 instances and 
  container workloads running on Amazon EC2.
type: "COMPLIANCE_POLICY"
categories:
  - "SECURITY"
frameworkMappings:
  - "/frameworks/cloudaware/resource-security/threat-protection"
  - "/frameworks/aws-fsbp-v1.0.0/guardduty/08"
similarPolicies:
  awsSecurityHub:
    - name: "[GuardDuty.8] GuardDuty Malware Protection for EC2 should be enabled"
      url: "https://docs.aws.amazon.com/securityhub/latest/userguide/guardduty-controls.html#guardduty-8"